Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.LocalQueriesOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.LocalQueries`, `ClientWireProtocol.LocalQueries.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.LocalQueriesOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDatabase()` `string database = 3;`
`com.google.protobuf.ByteString` `getDatabaseBytes()` `string database = 3;`
`int` `getIdentity()` Same data as md::objectId object Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig
`ClientWireProtocol.LocalQueries.OneIdentityOptionCase` `getOneIdentityOptionCase()`
`com.google.protobuf.ByteString` `getUuidIdentity()` `bytes uuid_identity = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getIdentity

    int getIdentity()

    Same data as md::objectId object
    Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1;`

Returns:
  The identity.

#### getUuidIdentity

    com.google.protobuf.ByteString getUuidIdentity()

`bytes uuid_identity = 2;`

Returns:
  The uuidIdentity.

#### getDatabase

    String getDatabase()

`string database = 3;`

Returns:
  The database.

#### getDatabaseBytes

    com.google.protobuf.ByteString getDatabaseBytes()

`string database = 3;`

Returns:
  The bytes for database.

#### getOneIdentityOptionCase

    ClientWireProtocol.LocalQueries.OneIdentityOptionCase getOneIdentityOptionCase()